Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000231TestLinkNew Featurepublic2005-11-16 16:062015-04-26 15:54
Reporterjbarchibald 
Assigned To 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusnewResolutionopen 
PlatformOSOS Version
Product Version 
Fixed in Version 
Summary0000231: Requirements based testing - allow add TC to TP via REQ
DescriptionWith the induction of requirements into testlink.. It would be great if, when creating a TestPlan, have the ability to assign tetcases to the testPlan based on requirements.

Or in other words,, when your adding test cases to a TestPlan, have an option to show either Requirements, or TestCases to add.
This way one could create a TestPlan based only upon requirements. thus all the TestCases associated with the selected requirements would be added to the test plan.
Additional InformationThe reason behind this is that in certain circumstances, such as mine in working at a bank. Everything is heavily audited and we are required to track and monitor test results based upon requirements.
So having the ability to create a TestPlan from requirements, as apposed to just 'remembering' which TestCases are associated to a requirement would be a great help.

TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0005873closedfman User contribution : Add/Remove Testcases Navigation REQUIREMENTS  
child of 0007083new Mantis Issues proposed to be closed 

-  Notes
(0000340)
fman (administrator)
2005-11-17 08:14

OK, I think it could be added to "the wish list" to be discussed by the development team.

Thanks for Your help
(0000371)
mhavlat (reporter)
2005-11-21 00:56

Jason, could you write the page for 1.7 version?
(0000398)
jbarchibald
2005-11-28 18:35

Sure..
I was balsically thinking of adding a radio button group to the left display of the page..
and having the option 'Add by Requirement' and 'Add by Test Case', then have the tree generate based upon the option selected. ( I have not looked into the tree to much at this point.. but I can see it being too dificult. )

once a requirement is selected, it would still show the Test Cases for that requirement in the right, or working frame. and the procedure to add the test cases to the plan would remain the same.

Sound OK..

Jason
(0000399)
fman (administrator)
2005-11-28 18:43

Please before developing read carefully the developer's guide.
The code must adhere the guide, or be better.

regards
(0000400)
jbarchibald
2005-11-28 22:24

Refresh my memory on where I find this developers guide.
I think I ran across it once. but can't seem to locate it now..

Jason
(0000411)
mhavlat (reporter)
2005-11-30 06:34

See http://www.teamst.org/_tldoc/DevGuide.pdf [^]
Please, contact me about any development question. We would like to commit just code corresponding to the current architecture and standard to achieve easy maintenance.
(0023162)
Mr.Bricodage (updater)
2015-04-26 15:54

should be closed (duplicated with 0005873 that provide contribution)

- Issue History
Date Modified Username Field Change
2005-11-16 16:06 jbarchibald New Issue
2005-11-17 08:14 fman Note Added: 0000340
2005-11-21 00:56 mhavlat Note Added: 0000371
2005-11-21 00:57 mhavlat Summary Requirements based testing => Requirements based testing - allow add TC to TP via REQ
2005-11-28 18:35 jbarchibald Note Added: 0000398
2005-11-28 18:43 fman Note Added: 0000399
2005-11-28 22:24 jbarchibald Note Added: 0000400
2005-11-30 06:34 mhavlat Note Added: 0000411
2007-02-19 23:23 mhavlat Project Testlink 1.6.x => TestLink
2012-08-18 06:28 fman Task Workflow Status => TBD
2015-04-26 15:53 Mr.Bricodage Relationship added related to 0005873
2015-04-26 15:54 Mr.Bricodage Note Added: 0023162
2015-04-26 15:54 Mr.Bricodage Relationship added child of 0007083



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker